3G Fuzzyband Downgrader: GUI based Tool Makes it Easy to Downgrade Baseband to 02.28.00 for iPhone 3G Users

3G Fuzzyband Downgrader

Last month, the iPhone hacking community had released a tool called pHaseBanDowngrader to help iPhone 3G users who had accidentally upgraded to iPhone OS 2.2.1 without preserving their baseband to downgrade baseband from 02.30.03 to 02.28.00.

However, the tool had two limitations, it worked with only bootloader version 5.08 and it was only meant for those who were technically inclined as it required some command line work.

w1kedZ (coding) & DHowett (GUI) have just released 3G Fuzzyband Downgrader to address the second issue. It is based on the same exploit in the 5.08 bootloader found by geohotz but comes with a nice and simple GUI.

It also checks the version of bootloader on your iPhone 3G and tells you if you can downgrade the baseband.

Folks at ModMyi who first reported about the tool explain how it works:

1. It verifies your bootloader version and displays
it before attempting to downgrade (won't attempt if bootloader isn't
5.08) so it is much safer than other methods.


2. It detects current baseband version, and the patches
accordingly…this means it will downgrade any baseband from 2.30 to
4.26.08 (beta 5)

You can checkout the screenshots below:


3G Fuzzyband Downgrader   
3G Fuzzyband Downgrader


3G Fuzzyband Downgrader

3G Fuzzyband Downgrader can be installed using Cydia which should be available on your jailbroken iPhone 3G.

We haven't tried it out so please proceed with caution. If you are the adventurous types and have gone ahead and given this a shot then please let us know how it goes.

Update:

w1kedz, developer of 3G Fuzzyband Downgrader has just commented to let us know that you can downgrade from any baseband to 02.28.00 as long as you have bootloader version 5.08. Thanks w1kedz!!

[via ModMyi]